ortp::FecRepairPacket Class Reference

## Public Member Functions

| FecRepairPacket (const mblk_t *repairPacket)
| FecRepairPacket (const FecRepairPacket &other)=delete
FecRepairPacket & | operator= (const FecRepairPacket &other)=delete
| FecRepairPacket (struct _RtpSession *fecSession, struct _RtpSession *sourceSession, uint16_t seqnumBase, uint8_t L, uint8_t D)
void | addBitstring (Bitstring const &bitstring)
size_t | bitstringStart (uint8_t **start) const
Bitstring | extractBitstring () const
size_t | parametersStart (uint8_t **start) const
size_t | repairPayloadStart (uint8_t **start) const
uint32_t | getProtectedSsrc () const
void | addPayload (FecSourcePacket const &sourcePacket)
void | add (FecSourcePacket const &sourcePacket)
void | reset (uint16_t seqnumBase)
std::vector< uint16_t > | createSequenceNumberList () const
uint8_t | getL () const
uint8_t | getD () const
uint16_t | getSeqnumBase () const
mblk_t * | transfer ()
mblk_t * | getRepairPacket () const
mblk_t * | getCopy ()

The documentation for this class was generated from the following file:

- fecstream.h